Bug 1575401 - kernel: divide error: 0000 [#1] SMP NOPTI
Summary: kernel: divide error: 0000 [#1] SMP NOPTI
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-amdgpu
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Atherton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 15:28 UTC by Jorge Martínez López
Modified: 2019-05-28 23:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:42:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Jorge Martínez López 2018-05-06 15:28:37 UTC
Description of problem:
Kernel stack trace

Version-Release number of selected component (if applicable):
4.16.6-302.fc28.x86_64

How reproducible:
I'm not sure if it's the same one I have hit before.


Steps to Reproduce:
1. Let the computer alone and wait for the screen to go blank.
2. Press a key to wake up the screen.
3. Hit 1564731
4. Use the SysReq magic key.

Actual results:
May 06 15:58:04  kernel: ---[ end trace 8826ac26b2621b4b ]---
May 06 15:58:04  kernel: RIP: resource_build_scaling_params+0xc5/0xf30 [amdgpu] RSP: ffffb21508e87a08
May 06 15:58:04  kernel: Code: 0c 02 00 00 83 fe 02 0f 84 2a 09 00 00 48 8d 14 00 83 fe 03 48 0f 45 d0 49 63 c4 8b bb b0 00 00 00 4c 8b 43 08 >
May 06 15:58:04  kernel:  ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
May 06 15:58:04  kernel:  do_syscall_64+0x74/0x180
May 06 15:58:04  kernel:  SyS_ioctl+0x74/0x80
May 06 15:58:04  kernel:  do_vfs_ioctl+0xa4/0x610
May 06 15:58:04  kernel:  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
May 06 15:58:04  kernel:  ? drm_mode_getcrtc+0x160/0x160 [drm]
May 06 15:58:04  kernel:  drm_ioctl+0x1c0/0x380 [drm]
May 06 15:58:04  kernel:  drm_ioctl_kernel+0x5b/0xb0 [drm]
May 06 15:58:04  kernel:  ? drm_mode_getcrtc+0x160/0x160 [drm]
May 06 15:58:04  kernel:  ? mutex_lock+0xe/0x30
May 06 15:58:04  kernel:  ? _cond_resched+0x15/0x30
May 06 15:58:04  kernel:  drm_mode_setcrtc+0x400/0x5e0 [drm]
May 06 15:58:04  kernel:  __drm_mode_set_config_internal+0x67/0x110 [drm]
May 06 15:58:04  kernel:  drm_atomic_helper_set_config+0x80/0x90 [drm_kms_helper]
May 06 15:58:04  kernel:  drm_atomic_commit+0x13/0x50 [drm]
May 06 15:58:04  kernel:  drm_atomic_check_only+0x3b5/0x550 [drm]
May 06 15:58:04  kernel:  amdgpu_dm_atomic_check+0x184/0x3c0 [amdgpu]
May 06 15:58:04  kernel:  dc_validate_global_state+0x225/0x2a0 [amdgpu]
May 06 15:58:04  kernel:  resource_build_scaling_params_for_context+0x2a/0x50 [amdgpu]
May 06 15:58:04  kernel: Call Trace:
May 06 15:58:04  kernel: CR2: 00007f4bf9ce5130 CR3: 00000003c9692000 CR4: 00000000003406e0
May 06 15:58:04  kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
May 06 15:58:04  kernel: FS:  00007f4c10b64280(0000) GS:ffff9a114f380000(0000) knlGS:0000000000000000
May 06 15:58:04  kernel: R13: 0000000000000000 R14: 0000000000000000 R15: 00000000000004b0
May 06 15:58:04  kernel: R10: 0000000000000000 R11: ffff9a1076c3c800 R12: 0000000000000000
May 06 15:58:04  kernel: RBP: ffff9a1076c3a400 R08: ffff9a1076c3c800 R09: 0000000000000780
May 06 15:58:04  kernel: RDX: 0000000000000000 RSI: 00000000ffff9a10 RDI: 0000000000000003
May 06 15:58:04  kernel: RAX: 0000000000000000 RBX: ffff9a102fe049b8 RCX: 0000000100000000
May 06 15:58:04  kernel: RSP: 0018:ffffb21508e87a08 EFLAGS: 00010292
May 06 15:58:04  kernel: RIP: 0010:resource_build_scaling_params+0xc5/0xf30 [amdgpu]
May 06 15:58:04  kernel: Hardware name: System manufacturer System Product Name/ROG STRIX X370-F GAMING, BIOS 4009 04/14/2018
May 06 15:58:04  kernel: CPU: 6 PID: 2057 Comm: gnome-shell Tainted: G        W        4.16.6-302.fc28.x86_64 #1
May 06 15:58:04  kernel:  videobuf2_common videodev snd_hda_intel irqbypass snd_usb_audio crct10dif_pclmul snd_hda_codec crc32_pclmul snd_usbm>
May 06 15:58:04  kernel: Modules linked in: uhid rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns>
May 06 15:58:04  kernel: divide error: 0000 [#1] SMP NOPTI

Expected results:
Computer screen to wake up.

Additional info:

Comment 1 Jose Mendoza 2019-02-21 18:53:49 UTC
The report shows up on my system upon having a root lock out on a password that I knew root = user and I had to use the CentOS 7 86_64 rescue disk to reset the password.
After that, I tried to reboot and the screen remained black for over a minute.
I then hit "Ctrl + Alt + Del" keys and got my self back into the system.

Comment 2 Jose Mendoza 2019-02-21 18:56:33 UTC
Here is the login screen I got after resetting the root pass from centOS rescue disk.

ABRT has detected 1 problem(s). For more info run: abrt-cli list --since 1545183455
[root@HQWKP-COPSMS1 ~]# abrt-cli list --since 1545183455
id 427d5616ade19d9b9341863c37c17c71e3e36f6a
reason:         divide error: 0000 [#1] SMP 
time:           Thu 21 Feb 2019 09:47:52 AM PST
uid:            0 (root)
count:          1
Directory:      /var/spool/abrt/vmcore-127.0.0.1-2018-06-11-11:11:48
[1]+  Done                    $PANGPA start

Comment 3 Ben Cotton 2019-05-02 19:16:50 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-02 19:53:00 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-28 23:42:01 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.